
Core - Bug # 68528

Status: Resolved Priority: Must have
Author: Tommes Delice Category:
Created: 2015-07-25 Assigned To: Benjamin Mack
Updated: 2015-07-29 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus: Stabilization Sprint
Subject: official introduction package fails to install on a fresh installation
Description

I tried now 5 times to install the official introduction package on a total fresh installed
typo3 6.2.14

" 
Oops, an error occurred!

No file found for given UID.

More information regarding this error might be available online." 
Error Links to: http://typo3.org/go/exception/CMS/1317178604

the log says:
--
Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1317178604: No file found for given UID. |
TYPO3\CMS\Core\Resource\Exception\FileDoesNotExistException thrown in file
/srv/vhosts/XXX/typo3_src-6.2.14/typo3/sysext/core/Classes/Resource/ResourceFactory.php in line 347. Requested URL: 
http://XXX/typo3/mod.php?M=tools_ExtensionmanagerExtensionmanager&#38;moduleToken=4284b530416b8825e50f044715947f9
8cfdae9d&#38;tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bextension%5D=33800&#38;tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=installDistribution&#38;tx_extensionmanager_tools_extension
er_tools_extensionmanagerextensionmanager%5Baction%5D=installDistribution&#38;tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Download
rextensionmanager%5Bcontroller%5D=Download
--

tried on a centos 7 jiffy box (xen para vbox), all dependencies by installation are fine

Related issues:
related to Core - Task # 62574: Introduction package does not install/load an... New 2014-03-26
related to Introduction Package - Bug # 67906: Call to a member function getU... New 2015-07-03
related to Core - Bug # 68636: Extension manager shouldn't use FAL based Imag... Resolved 2015-07-29

History
#1 - 2015-07-25 11:05 - Benjamin Mack
- Status changed from New to Accepted
- Assigned To set to Benjamin Mack
- Target version set to 7.4 (Backend)
- Sprint Focus set to Stabilization Sprint

I'm working on a new version.
#2 - 2015-07-28 21:51 - Markus Klein

Works for master now.

#3 - 2015-07-28 22:11 - Wouter Wolters

Worked for me too for master. Will try 6.2 now

#4 - 2015-07-28 22:16 - Stefan Neufeind

will test 6.2 as well here

#5 - 2015-07-28 22:18 - Wouter Wolters

6.2 worked for me too.

#6 - 2015-07-28 22:23 - Markus Klein

Does weird stuff.

I have 2 new files in the Core source after installing the intro package.

On branch master
Your branch is up-to-date with 'origin/master'.
Untracked files:
  (use "git add <file>..." to include in what will be committed)

        typo3/sysext/extensionmanager/Resources/Public/Images/Distribution_01.png
        typo3/sysext/extensionmanager/Resources/Public/Images/Distribution_03.png

#7 - 2015-07-29 23:35 - Markus Klein
- Status changed from Accepted to Resolved

The export has been fixed by Benni and the Core is fixed with #68636 to not generate those sys_file records anymore.
